import { array, boolean, mixed, number, object, string } from 'yup'

export const termSchema = object().shape({
  title: string().required().min(3),
  description: string().nullable().notRequired(),
  isActive: boolean().default(true),
  minimumScore: number().typeError('حد نصاب قبولی باید عدد باشد').required(),
  score: number().typeError('کل نمره آزمون باید عدد باشد').required(),
  coverMediaId: number().typeError('شناسه تصویر جلد باید عدد باشد').nullable().notRequired(),
})

export const addTermStudentSchema = object().shape({
  studentIds: array().of(mixed()).min(1, 'حداقل یک طلبه را انتخاب کنید').required(),
})
